procedure fixmosaic ( images ) 
string images
bool   fixmos  { yes, prompt="Fix mosaic keywords"}
bool   fixrot  { yes, prompt="Fix rotation"}
bool   fixcen  { yes, prompt="Fix center"}
real   rotcorr { 0.0, prompt="Correction to PA"}
real   deltara { 0.0, prompt="Correction to RA  (arcsec)"}
real   deltadc { 0.0, prompt="Correction to Dec (arcsec)"}

begin

string im,imfull
real rotc
real pixscale, cd1_1,cd1_2,cd2_1,cd2_2
real ltm1_1,ltm2_2,posang
real radsperdeg
real ra,dc

im=images
rotc=rotcorr
pixscale = 4.435038861931e-05/2.0
radsperdeg=3.141592654/180.

if (fixmos) {
    for ( i=37; i<=54;i+=1) {
	imfull=im//"[IM"//i//"]";
	hedit (imfull, "DTV2",   "10027",   add-,del-,verify-,update+);
	hedit (imfull, "LTV2",   "2305.75", add-,del-,verify-,update+);
	hedit (imfull, "ATV2",   "0",       add-,del-,verify-,update+);
	hedit (imfull, "CRPIX2", "2318",    add-,del-,verify-,update+);
    }

    for ( i=55; i<=72;i+=1) {
	imfull=im//"[IM"//i//"]";
	hedit (imfull, "DTV2",   "15051",   add-,del-,verify-,update+);
	hedit (imfull, "LTV2",   "2305.75", add-,del-,verify-,update+);
	hedit (imfull, "ATV2",   "0",       add-,del-,verify-,update+);
	hedit (imfull, "CRPIX2", "4830",    add-,del-,verify-,update+);
    }
}

for (i=1; i<=72;i+=1) {
    imfull=im//"[IM"//i//"]";
    if (fixrot) {
	keypar (imfull, "LTM1_1");
	ltm1_1 = real(keypar.value);
	keypar (imfull, "LTM2_2");
	ltm2_2 = real(keypar.value);
	keypar (imfull, "POSANGLE");
	posang = real(keypar.value);
	posang += rotc-90;
	cd1_1  = pixscale *  cos(posang*radsperdeg) / ltm1_1;
	cd1_2  = pixscale * -sin(posang*radsperdeg) / ltm2_2;
	cd2_1  = pixscale * -sin(posang*radsperdeg) / ltm1_1;
	cd2_2  = pixscale * -cos(posang*radsperdeg) / ltm2_2;
	hedit (imfull,"CD1_1",cd1_1,add-,del-,verify-,update+);
	hedit (imfull,"CD1_2",cd1_2,add-,del-,verify-,update+);
	hedit (imfull,"CD2_1",cd2_1,add-,del-,verify-,update+);
	hedit (imfull,"CD2_2",cd2_2,add-,del-,verify-,update+);
    }
    if (fixcen) {
	keypar (imfull, "CRVAL1");
	ra=real(keypar.value);
	keypar (imfull, "CRVAL2");
	dc=real(keypar.value);
	ra+=deltara/3600./cos(dc*radsperdeg);
	dc+=deltadc/3600.;
	hedit(imfull,"CRVAL1", ra, add-,del-,verify-,update+);
	hedit(imfull,"CRVAL2", dc, add-,del-,verify-,update+);
    }
}

end
